%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	The gnome desktop programs for the GNOME GUI desktop environment
Name:		gnome-session
Version:	3.16.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/softwaremap/projects/gnome-session/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	gnome-session-startgnome
Source2:	gnome-session-gnomerc

BuildRequires:	desktop-file-utils
BuildRequires:	gtk-doc
BuildRequires:	intltool >= 0.40.0
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.76
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90.7
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(json-glib-1.0) >= 0.10
BuildRequires:	pkgconfig(libsystemd-daemon)
BuildRequires:	pkgconfig(libsystemd-id128)
BuildRequires:	pkgconfig(libsystemd-journal)
BuildRequires:	pkgconfig(libsystemd-login) >= 38
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(upower-glib) >= 0.9.0
BuildRequires:	pkgconfig(xau)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	tcp_wrappers-devel
BuildRequires:	x11-xtrans-devel
BuildRequires:	xmlto

Requires:	GConf2 >= 1.2.1
Requires:	desktop-common-data
Requires:	gnome-user-docs
Requires:	gnome-settings-daemon
Requires:	%{name}-bin = %{EVRD}

Requires:	typelib(PangoCairo)
Requires:	typelib(PangoFT2)

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.

The GNOME Session Manager restores a set session (group of applications)
when you log into GNOME.

%package bin
Group: %{group}
Summary: %{summary}

%description bin
This package contains the binaries for the GNOME Session Manager, but 
no startup scripts. It is meant for applications such as GDM that use 
gnome-session internally.

%package wayland-session
Summary: %{summary}
Requires: %{name} = %{EVRD}

%description wayland-session
This package contains Wayland session desktop file.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --enable-systemd --disable-schemas-install

%make

%install
%makeinstall_std

# wmsession session file
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
cat << EOF > %{buildroot}%{_sysconfdir}/X11/wmsession.d/02GNOME
NAME=GNOME
ICON=gnome-logo-icon-transparent.png
DESC=GNOME Environment
EXEC=%{_bindir}/startgnome
SCRIPT:
exec %{_bindir}/startgnome
EOF

install -m 0755 %{SOURCE1} %{buildroot}%{_bindir}/startgnome

mkdir -p %{buildroot}%{_sysconfdir}/gnome
install -m 0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/gnome/gnomerc
# gw these produce rpmlint errors:
#rm -rf %{buildroot}%{_datadir}/locale/{be@latin}
%find_lang %{name}-3.0

# remove unpackaged files
rm -rf %{buildroot}%{_datadir}/xsessions

%post
if [ "$1" = "2" -a -r /etc/sysconfig/desktop ]; then
  sed -i -e "s|^DESKTOP=Gnome$|DESKTOP=GNOME|g" /etc/sysconfig/desktop
fi

%files bin
%{_bindir}/gnome-session
%{_bindir}/gnome-session-inhibit
%{_datadir}/glib-2.0/schemas/org.gnome.SessionManager.gschema.xml
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/gnome-session.*

%files -f %{name}-3.0.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/*
%{_sysconfdir}/gnome/gnomerc
%{_bindir}/startgnome
%{_bindir}/gnome-session-quit
%{_libdir}/gnome-session-check-accelerated
%{_libdir}/gnome-session-check-accelerated-helper
%{_libdir}/gnome-session-failed
%{_datadir}/GConf/gsettings/gnome-session.convert
%{_mandir}/man1/gnome-session-quit.*
%{_mandir}/man1/gnome-session-inhibit.1.*

%files wayland-session
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/wayland-sessions/gnome-wayland.desktop


%changelog
